# AsyncGetMediaInformationTask

Package

## Class AsyncGetMediaInformationTask

- All Implemented Interfaces:
    `java.lang.Runnable`

      public class AsyncGetMediaInformationTask
       implements Runnable

  Executes a MediaInformation session asynchronously.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AsyncGetMediaInformationTask(MediaInformationSession mediaInformationSession)` |
    `AsyncGetMediaInformationTask(MediaInformationSession mediaInformationSession, Integer waitTimeout)` |

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `run()` |

    - ### Methods inherited from class java.lang.Runnable

      `run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsyncGetMediaInformationTask

          AsyncGetMediaInformationTask(MediaInformationSession mediaInformationSession)

    - #### AsyncGetMediaInformationTask

          AsyncGetMediaInformationTask(MediaInformationSession mediaInformationSession, Integer waitTimeout)

  - ### Method Detail

    - #### run

           void run()